<?php

/**
 * Description of template-chooser-class
 *
 * @author Ryan Haworth
 */
if (!class_exists('template_chooser')) {

    class template_chooser {

        public function __construct() {

            add_filter('template_include', array(&$this, 'template_chooser'));
        }

        function template_chooser($template) {
            // Post ID
            $post_id = get_the_ID();

            $post_type = get_post_type();

            // For all other CPT       
            if ($post_type != 'vacancy') {
                return $template;
            }

            // Else use custom template
            if (is_single()) {
                return $this->get_template_hierarchy('single-' . $post_type);
            } else {
                return $this->get_template_hierarchy('archive-' . $post_type);
            }
        }

        //note possible override this file????
        function get_template_hierarchy($template) {

            // Get the template slug
            $template_slug = rtrim($template, '.php');
            $template = $template_slug . '.php';

            // Check if a custom template exists in the theme folder, if not, load the plugin template file
            if ($theme_file = locate_template(array('eclipse-templates/' . $template))) {
                $file = $theme_file;
            } else {
                // load template from plugin
                $file = ECLIPSE_DIR . '/eclipse-templates/' . $template;
            }

            return apply_filters('ecl_repl_template_' . $template, $file);
        }

    }

}
?>





